
/* Google fonts  */
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');


:root {
    --primary-color: #004d40; /* Verde oscuro */
    --secondary-color: #fafafa; /* Blanco */
    --accent1-color: #1c4b0b; /* verde */
    --accent2-color: #3949ab; /* Azul oscuro */
    --accent3-color: #e91e63; /* Rosa */
    --text-color-main: #212121; /* Gris oscuro */
    --text-color-secondary: #ffffff; /* Blanco */
    --accent4-color: #ff5722; /* Naranja rojizo */
    --accent5-color: #3f51b5; /* Azul */

    /* change the values below to your chosen font(s) */
    --heading-font: "Roboto", sans-serif;
    --paragraph-font: "Open Sans", serif;

    /* these colors below should be chosen from among your palette colors above */
    --headline-color-on-white: var(--primary-color); /* headlines on a white background */
    --headline-color-on-color: var(--text-color-secondary); /* headlines on a colored background */
    --paragraph-color-on-white: var(--text-color-main); /* paragraph text on a white background */
    --paragraph-color-on-color: var(--text-color-main); /* paragraph text on a colored background */
    --paragraph-background-color: var(--accent1-color); /* paragraph background color */
    --nav-link-color: var(--text-color-secondary);
    --nav-background-color: var(--primary-color);
    --nav-hover-link-color: var(--text-color-main);
    --nav-hover-background-color: var(--accent2-color);
}


/* Mobile CSS ******************************** */

/*  Styles for site */
html,
body {
    display: flex;
    flex-direction: column;
        margin: 0;
    padding: 0;
    font-family: var(--paragraph-font);
    font-size: 18px;
    font-weight: 400;
    font-style: normal;
    line-height: 1.5;
    background-color: var(--secondary-color);
    color: var(--text-color-main);

}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--heading-font);
    font-weight: 700;
    font-style: normal;
}

.dark-mode {
    background-color: var(--accent5-color);
    color: var(--text-color-secondary);
}
/* Header and Navigation *********************** */

header {
    display: flex;
    justify-content: space-between;
    padding: 20px 10px 20px 50px;
    background-color: var(--nav-background-color);
    box-shadow: 0 1px 8px var(--accent2-color);
}
.nav-brand {
    display: flex;
    align-items: center;
}
.nav-brand img {
    width: 60px;
    height: auto;
}
.nav-box {
    display: flex;
    gap: 20px;
}
.nav-info {
    display: flex;
    align-items: center;
}
#nav-title {
    margin-right: auto;
    font-size: 0.8em;
    color: var(--nav-link-color);
}

div.nav-brand > img{
    border-radius: 50%;
    margin: 5px;
}
header li {
    list-style: none;
    display: inline-block;
    padding: 0 20px;
}
header a {
    text-decoration: none;
    color: var(--nav-link-color);
    transition: all 0.3s ease 0s;
}
header a:hover,
.active-page:hover {
    background-color: var(--nav-hover-background-color);
    color: var(--nav-link-color);
    padding: 10px 20px;
    border-radius: 5px;
    font-weight: normal;
}
.active-page {
    color: var(--secondary-color);
    font-weight: 900;
}

article>div > div > div > a {
    color: var(--secondary-color);
    
      }
    .card-header-gold{
        background-color: var(--accent3-color);
      }

      body > main > div.spotlights > div > article> h3{
        background-color: var(--accent3-color);
      }
     .spotlights > div > article > div > div > address{
        color: var(--text-color--main);
     }
    div.spotlights > div > article > div > div > address
    {color:blanchedalmond;}

/* Dark Mode Button Switch ********************* */
.dark-mode-btn {
    display: flex;
    order: 4;
}
.toggle {
    background-color: var(--accent1-color);
    width: 50px;
    height: 21px;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
}
.nav-info input {
    display: none;
}
.dark-mode-btn input {
    display: none;
}
.slider {
    height: 15px;
    width: 15px;
    background-color: var(--nav-link-color);
    border-radius: 12px;
    margin: 4px;
}
input:checked + .toggle {
    background-color: var(--nav-link-color);
  
}
input:checked + .toggle > .slider {
    align-self: flex-end;
    background-color: var(--accent1-color);
}
/* *** Main Section ***************************** */
main {
    display: flex;
    flex-direction: column;
    margin: 0 50px 0 50px;
    padding: 0 25px 25px 25px;
}


/* TEMP ************************* */
.hero {
    background-size: cover;
    background-position: center;
    padding: 150px 0;
}
.hero-home {
    background-image: url("../images/vista-aerea-paco-municipal-de-sao-bernardo-do-campo.webp");
}
.hero-discover {
    background-image: url("../images/discover/atardecer-sao-bernardo.webp");
}

.hero-join {
    background-image: url("../images/discover/atardecer-sao-bernardo.webp");
}
.hero-directory {
    background-image: url("../images/vista-aerea-paco-municipal-de-sao-bernardo-do-campo.webp");
}


.container {
    max-width: 1200px;
    margin: 0 auto;
    display: grid;
    place-items: center;
}

.hero-content {
    text-align: center;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 20px;
}
.hero-content h2 {
    font-size: 3em;
    font-weight: 800;
    color: var(--text-color-secondary);
    margin: 20px;
}
.hero-content p {
    font-size: 1.5em;
    font-weight: 600;
    color: var(--text-color-secondary);
    margin-bottom: 20px;
}

.btn {
    padding: 10px 20px;
    background-color: var(--accent2-color);
    color: var(--text-color-secondary);
    
    border: none;
    border-radius: 5px;
    cursor: pointer;
    
    text-decoration: none;
}

.btn:hover {
    background-color: var(--accent4-color);
}
.spotlights {
    display: flex;
    justify-content: center;
    padding: 30px 0;
    text-align: center;
}
.cards {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 25px;
    flex: 1;
    max-width: 100%;
}

.card {
    border-radius: 0.5rem;
    border-width: 1px;
    border-color: var(--accent1-color);

    background-color: var(--accent2-color);
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
}
div > div > div a{color: #212121;}

.card-header {
    margin: 0;
    border-radius: 0.5rem 0.5rem 0 0;
    padding: 0.8rem;
    font-size: large;
    font-weight: 700;
}
.card-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    padding: 1.2rem;
}
.card-body h3 {
    margin: 0 0 8px 0;
}
.contact-info {
    display: flex;
    flex-direction: column;
    gap: 10px;
    font-size: 0.75rem;
}
.contact-info div {
    display: flex;
    flex-direction: column;
    gap: 5px;
}





.card.dark-mode {
    box-shadow: 0 4px 8px 0 rgba(255, 255, 255, 0.7);
    background-color: var(--accent1-color);
}

.info {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 10px;
   
}



.weather {
    display: flex;
    flex-direction: column;
    justify-self: center;
    row-gap: 20px;
    order: 1;
}
.weather-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 50px 50px;
    background-color:var(--text-color-secondary);
    border-radius: 10px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}
.weather-icon img {
    width: 70px;
    height: auto;
}
.weather-info.dark-mode {
    background-color: var(--accent1-color);
}

/* *** Footer ************************************ */

footer section {
    background-color: var(--primary-color);
    color: var(--text-color-secondary);
    padding: 30px 30px 20px 30px;
    border-top: 1px solid var(--text-color-secondary);
}

.footer {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    grid-auto-rows: auto;
    grid-gap: 10px;
    margin: 0 auto;
    max-width: 100%;

}

div.footer-title > img{
    border-radius: 50%;
    margin: 5px;
}
.footer-title {
    grid-column: 1 / span 9;
    grid-row: 1;
    display: flex;
    flex-direction: row;
    align-items: center;
}
.footer-title h2 {
    font-size: 1.5em;
    font-weight: 600;
    margin-top: 1.3em;
}

.footer-title img {
    width: 60px;
    height: auto;
}

.footer h3 {
    margin: 0.5em 0;
    font-size: 1.25em;
    font-weight: 600;
    color: var(--text-color-secondary);
}

.footer-addr {
    grid-column: 1 / span 5;
    grid-row: 2;
    margin-bottom: 2em;
}

.footer address {
    font-style: normal;
}

.footer-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 36px;
    max-width: max-content;
    background-color: var(--accent2-color);
    border-radius: 100px;
    color: var(--text-color-secondary);
    line-height: 0;
    margin: 0.6em 0;
    font-size: 1rem;
    padding: 0.15em 1.3em;
    text-decoration: none;
}

.footer-btn:hover {
    background-color: var(--accent4-color);
    color: var(--text-color-main);
}

.footer-nav {
    grid-column: 8 / span 1;
    grid-row: 2;
    margin-bottom: 2em;
}

.footer-nav ul {
    flex: 1 50%;
    margin-right: 1.25em;
    list-style: none;
    padding: 0;
    margin: 0;
    cursor: pointer;
}
.footer-nav ul a {
    color: var(--text-color-secondary);
}

.footer-nav li {
    line-height: 2em;
}
.footer-nav a {
    text-decoration: none;
}
.footer-nav a:hover {
    background-color: var(--nav-hover-background-color);
    padding: 10px 20px;
    border-radius: 5px;
}
.legal {
    grid-row: 3;
    grid-column: 1 / span 9;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    font-size: 0.7em;
    color: var(--text-color-secondary);
}

/* MObile CSS ******************************** */

/* Add this CSS for mobile styles */
@media screen and (max-width: 768px) {
    .nav-links {
        display: none;
        position: absolute;
        top: 100px;
        left: 0;
        width: 100%;
        background-color: var(--nav-background-color);
        z-index: 1000;
    }
    .nav-links ul {
        display: block;
        text-align: center;
        padding: 0;
    }

    .nav-links ul li {
        display: block;
        padding: 10px 0;
    }

    .nav-links ul li a {
        display: block;
        color: var(--nav-link-color);
        padding: 10px 0;
    }

    .nav-toggle:checked + .nav-links {
        display: block;
    }

    .nav-btn {
        display: block;
        cursor: pointer;
    }

    .nav-btn span {
        display: block;
        width: 30px;
        height: 2px;
        background-color: var(--nav-link-color);
        margin: 6px 0;
    }
    
    .wrapper {
        grid-template-columns: 1fr;
        grid-template-areas:
            "sidebar"
            "content";
    }

    .cards {
        display: grid;
        grid-template-columns: 1fr;
        grid-gap: 25px;
        flex: 1;
        max-width: 100%;
        border: var(--accent1-color);
        
    }
    .card-body {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        padding: 1.2rem;
        background-color: var(--accent1-color);
    
    }
}



/* Weather Article */

#weather {
    width: 100%;
}
#weather h3,
#three-day h3 {
    margin: 0;
    padding: 15px;
    background-color: var(--accent3-color);
    color: var(--text-color-main);
    text-transform: uppercase;
}

#weather p {
    margin: 10px 0 0 0;
    text-align: center;
}
#weather figure {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
}
.temp-area {
    display: flex;
    justify-content: center;
    align-items: center;
}
#current-temp {
    font-size: 3em;
    font-weight: 800;
}
.temp-area figure {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin: 0;
}
#weather-description {
    font-size: 1.5em;
    font-weight: 800;
    text-transform: uppercase;
}
.alt-weather {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: 0;
    gap: 5px;
}
.weather-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2px;
    padding: 15px;
   
    font-size: 0.8rem;
}
.weather-box span {
    font-weight: 800;
    font-size: 1.5rem;
}
#three-day {
    display: flex;
    flex-direction: column;
    width: 100%;
}

/* ********* Discover Page CSS *********** */
@media only screen and (min-width: 768px) {
    .wrapper {
        grid-template-columns: 1fr 2fr;
        grid-template-areas: "sidebar content content";
    }
    .picture figure {
        transition: 1s ease;
    }

    .picture figure:hover {
        -webkit-transform: scale(1.1);
        -ms-transform: scale(1.1);
        transform: scale(1.1);
        transition: 1s ease;
    }
}
.sidebar {
    grid-area: sidebar;
}

.content {
    grid-area: content;
}

.wrapper {
    display: grid;
    padding: 50px 0;
}
.picture {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px;
}
.picture img {
    width: 100%;
    height: auto;
    border-radius: 10px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}
.picture figcaption {
    font-size: 0.8em;
    font-style: italic;
    color: #444;
}

.latest-visit {
    text-align: center;
}

.style1 {
    background-color: var(--secondary-color);
    color: var(--text-color-main);
    padding: 20px;
}
.style2 {
    background-color: var(--primary-color);
    color: var(--text-color-secondary);
    padding: 20px;
}
.style2 .play {
    display: flex;
    align-items: center;
    gap: 20px;
}
.style2 hr {
    height: 4px;
    background-color: var(--secondary-color);
    border: none;
}

section.style6 h3 {
    color: var(--text-color-main);

}
.style6 h3.dark-mode{
    color: var(--text-color-secondary);
}
se
.text-bold {
    font-size: 1.1em;
    font-weight: 700;
}

.temperature-box {
    display: flex;
    justify-content: space-around;
    align-items: center;
    align-content: center;
}
.temperature-box div {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.temperature-box .deg {
    font-size: 2em;
    font-weight: 900;
    font-style: italic;
}
.temperature-box .deg span {
    font-size: 0.45em;
    font-weight: 300;
}
.style3 {
    background-color: var(--accent1-color);
    color: var(--text-color-primary);
    padding: 20px;
}
.style3 .explore-img {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
    gap: 5px;
}
.style3.dark-mode{
    color: var(--text-color-main);
}
.style4 {
    background-color: var(--accent3-color);
    color: var(--text-color-secondary);
    padding: 20px;
}
.style5 {
    background-color: #f8fafc;
    color: var(--text-color-main);
    padding: 20px;
}
.style5.dark-mode {
    background-color: #4b5563;
    color: var(--text-color-secondary);
}
.style6 {
    border-style: solid;
    border-width: 2px;
    border-color: var(--);
    padding: 20px;
}
.style6.dark-mode h3 {
    border-style: solid;
    border-width: 2px;
    border-color: var(--text-color-secondary);
    color: var(--text-color-secondary);
    padding: 20px;

}
 section.style6.dark-mode > h2 {
    color: var(--text-color-secondary);
}


.fast-facts {
    color: var(--accent3-color);
}
.fast-facts.dark-mode h2{
    color: var(--accent3-color);
}

.facts {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.facts h3 {
    font-size: 0.9em;
    font-weight: 700;
    color: var(--accent3-color);
    margin: 0;
    text-align: center;
}
.facts.dark-mode{
    color: var(--text-color-secondary);
}
.facts p {
    font-size: 0.8em;
    font-weight: 400;
    margin: 0;
    text-align: center;
}
.fact {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}
.style6 hr {
    height: 4px;
    background-color: var(--accent3-color);
    border: none;
}
.event-card-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.event-card {
    display: flex;
    flex-direction: column;
    padding: 20px;
    color: var(--text-color-main);
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    background-color: var(--text-color-secondary);
}
.event-card.dark-mode {
    box-shadow: 0 4px 8px 0 rgba(255, 255, 255, 0.7);
    color: var(--text-color-secondary);
    background-color: #1e293b;
}
.event-card h3 {
    margin: 0 0 5px 0;
}
.event-card div {
    font-size: 0.8em;
    margin: 0 0 5px 0;
}
.event-card p {
    font-size: 0.7em;
    margin: 0;
}

.biz-images {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
}
.biz-images img {
    width: 100px;
    height: auto;
}
figcaption.dark-mode
{
color: var(--text-color-secondary);
}

/*----------- FORM Page --------------*/

.form-wrapper {
    display: grid;
    grid-template-columns: 1fr;
    grid-column-gap: 80px;
    grid-template-rows: auto auto auto;
    grid-template-areas:
        "header"
        "form"
        "membership";
    color: var(--text-color-main);
    margin: 50px 20px 0 20px;
}
.form-wrapper.dark-mode {
    background-color: #1e293b;
    color: var(--text-color-secondary);
}
.header {
    grid-area: header;
    place-self: center;
}
.column1 {
    grid-area: form;
}
.column2 {
    grid-area: membership;
}

.form-section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 20px;
}
form {
    display: flex;
    flex-direction: column;
}
.membership-cards {
    display: flex;
    flex-direction: column;
    justify-content: center;
    max-width: 600px;
}
.membership-cards h2 {
    text-align: center;
    margin: 0;
}

.membership-card-container {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 20px;
}
.member-card {
    display: flex;
    flex-direction: column;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    border: solid 1px #999;
    border-radius: 4px;
}
.member-card h3 {
    margin: 0 0 5px 0;
    padding: 1.2rem;
}
.member-card div {
    padding: 0.75rem;
}
.member-card p {
    margin: 0;
}
.member-card ul {
    margin-top: 0;
}
.np {
    background-color: var(--membershipNP);
    color: var(--text-color--main);
}
.bronze {
    background-color: var(--membershipBronze);
    color: var(--text-color--main);
}
.silver {
    background-color: var(--membershipSilver);
    color: var(--text-color-main);
}
.gold {
    background-color: var(--membershipGold);
    color: var(--text-color-main);
}

form fieldset {
    margin: 1rem 0;
    border: 1px solid var(--primary-color);
    border-radius: 10px;
    padding: 0.5rem 20%;
}
form fieldset.dark-mode {
    border: 1px solid var(--text-color-secondary);
}
form fieldset:last-of-type {
    margin-bottom: 5px;
}
form legend {
    color: var(--primary-color);
    margin: 0 1rem;
    padding: 0 0.5rem;
}
form legend.dark-mode {
    color: var(--text-color-secondary);
}
form label.top,
form div {
    display: block;
    padding-top: 1rem;
    color: var(--text-color--main);
    font-size: 0.8rem;
}
form label.top.dark-mode {
    color: var(--text-color-secondary);
}
form label.top input,
form label.top textarea,
form label.top select {
    -webkit-appearance: none;
    display: block;
    font-size: 1rem;
    border: solid 1px #999;
    border-radius: 4px;
    padding: 0.75rem;
    background-color: rgba(0, 0, 0, 0.1);
    color: var(--text-color-main);
    width: 100%;
    max-width: 20rem;
}
form label.top input.dark-mode {
    background-color: #4b5563;
    color: var(--text-color-secondary);
}
form label.sbs {
    display: block;
    padding: 0.75rem 0;
    color: var(--text-color-main);
}
form label.sbs.dark-mode {
    color: var(--text-color-secondary);
}
form fieldset .dark-mode {
    border: none;
}
form .submitBtn {
    border: none;
    background-color: var(--primary-color);
    color: var(--text-color-secondary);
    padding: 0.75rem 1.5rem;
    border-radius: 1rem;
    margin: 0 0 2rem 2%;
    width: 96%;
    max-width: 20rem;
}
form .submitBtn:hover {
    background-color: var(--accent4-color);
    cursor: pointer;
}
form label.top input:required {
    border-left: var(--error-text) solid 6px;
}
form label.top input:required:valid {
    border-left: var(--success-text) solid 6px;
}
.success {
    margin-top: 5px;
    padding: 15px;
    background-color: var(--success-background);
    border-color: var(--success-border);
    color: var(--success-text);
}
.error {
    margin-top: 5px;
    padding: 15px;
    background-color: var(--error-background);
    border-color: var(--error-border);
    color: var(--error-text);
}
.show {
    display: flex;
}
.hide {
    display: none;
}

/*----------- Thankyou.html - Form conformation page --------------*/

#record .container {
    display: flex;
    flex-direction: column;
    max-width: 600px;
    margin: 0 auto;
    background-color: var(--success-background);
    border-color: var(--success-border);
    color: var(--success-text);
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
#record h1 {
    text-align: center;
}
#record p {
    text-align: center;
}
#timestamp {
    font-size: 0.75em;
}

#record a {
    align-self: center;
}

button.homeBtn {
    border: none;
    background-color: var(--primary-color);
    color: var(--text-color-secondary);
    padding: 0.75rem 1.5rem;
    border-radius: 1rem;
    cursor: pointer;
    text-decoration: none;
}

.homeBtn:hover {
    background-color: var(--accent1-color);
    cursor: pointer;
}
/*----------- Directory.html --------------*/
#directory {
    margin: 2rem;
    position: relative;
    padding: 20px;
}
#directory h2 {
    text-align: center;
    font-size: 2rem;
    margin: 0 0 1rem 0;
}

.menu {
    padding: 0.5rem;
    text-align: center;
}
.menu button {
    padding: 0.5rem 1rem;
    margin: 0.5rem;
    border: none;
    border-radius: 5px;
    background-color: var(--nav-background-color);
    color: var(--text-color-secondary);
    cursor: pointer;
}
.member {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0.25rem;
    padding: 0.35rem;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    background-color: #ffffff;
    color: var(--text-color-main);
    height: 310px;
}
.member.dark-mode {
    background-color: #4b5563;
    color: var(--text-color-secondary);
    box-shadow: 0 4px 8px 0 rgba(255, 255, 255, 0.7);
}
.member.dark-mode img {
    background-color: var(--text-color-secondary);
}
.member h3 {
    font-size: 1.2rem;
}

.member p {
    font-size: 0.75rem;
}

.member a {
    font-size: 0.65rem;
    color: var(--primary-color);
}
.member a.dark-mode {
    background-color: #4b5563;
    color: var(--text-color-secondary);
}
.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    grid-gap: 5px;
    align-items: center;
}

.grid section {
    text-align: center;
}

.grid section > * {
    margin: 0.1rem;
}

.list {
    display: flex;
    flex-direction: column;
}

.list section {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-areas:
        "title phone"
        "address1 email"
        "address2 .";
    margin: 0;
    height: auto;
}

.list section > * {
    margin: 0 1rem;
}

.list section img {
    display: none;
}

.list section h3 {
    font-size: 0.75rem;
    grid-area: title;
}
.list section p:nth-of-type(1) {
    grid-area: address1;
}
.list section p:nth-of-type(2) {
    grid-area: address2;
}
.list section p:nth-of-type(3) {
    grid-area: phone;
}
.list section a {
    grid-area: email;
}

.list section:nth-child(even) {
    background-color: #e5e6e7;
}
.list section:nth-child(even).dark-mode {
    color: var(--text-color-main);
}
.list section:nth-child(even) a.dark-mode {
    background-color: #e5e6e7;
    color: var(--text-color-main);
}
/* Weather Article ********************************* */

#weather {
    width: 100%;
}
#weather h3,
#three-day h3 {
    margin: 0;
    padding: 15px;
    background-color: orange;
    color: var(--text-color-main);
    text-transform: uppercase;
}

#weather p {
    margin: 10px 0 0 0;
    text-align: center;
}
#weather figure {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
}
.temp-area {
    display: flex;
    justify-content: center;
    align-items: center;
}
#current-temp {
    font-size: 3em;
    font-weight: 800;
}
.temp-area figure {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin: 0;
}
#weather-description {
    font-size: 1.5em;
    font-weight: 800;
    text-transform: uppercase;
}
.alt-weather {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: 0;
    gap: 5px;
}
.weather-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2px;
    padding: 15px;
    /* border: 1px solid var(--accent3-color); */
    font-size: 0.8rem;
}
.weather-box span {
    font-weight: 800;
    font-size: 1.5rem;
}
#three-day {
    display: flex;
    flex-direction: column;
    width: 100%;
}

#forecast .weather-day {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
    /* margin: 20px 0; */
}
#forecast .weather-day:not(:last-child) {
    border-bottom: 1px solid black;
}
.weather-day h5 {
    /* font-size: 1.2rem; */
    font-weight: 800;
    text-transform: uppercase;
}
.weather-day figcaption {
    font-size: 0.7rem;
    text-transform: uppercase;
}
#forecast figure {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
}

.temp-div {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.temp-div p {
    font-size: 0.8rem;
    margin: 0;
}
.temp-div p:nth-last-child(1) {
    font-size: 1.2rem;
    font-weight: 800;
}

/* Banner on home page */
.banner {
    display: flex;
    justify-content: space-between;
    background-color: var(--accent1-color);
    color: var(--text-color-main);
    padding: 30px;
    margin-top: 2rem;
    text-align: center;
}
.banner-hide {
    display: none;
}

.banner p {
    font-size: 1.4rem;
    margin: 0;
}

#closeBanner {
    background-color:var(--accent1-color);
    color: var(--text-color-primary);
    border: none;
    padding: 5px 10px;
    cursor: pointer;
    font-size: x-large;
    /* margin-top: 5px; */
}